For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Go to app
DocumentationAPI Reference
DocumentationAPI Reference
  • API Reference
    • Introduction
    • Users
    • Taskflow
    • AI Task Builder
    • Studies
    • Representative sample studies
    • study-collections
      • Filters Overview
      • Study Distribution (Quotas) with Filters
      • GETList all filters
      • GETGet filter distribution
      • POSTCount participants
    • Filter Sets
    • Participant Groups
    • Custom Groups
    • Study Distribution
    • Submissions
    • Bonuses
    • Messages
    • Workspaces
    • Projects
    • Surveys
    • Webhooks
    • Invitations
    • Reward Recommendations
    • Testing
    • Well Known Endpoints
Go to app
LogoLogo
API ReferenceFilters

Get filter distribution

|View as Markdown|Open in Claude|
GET
https://api.prolific.com/api/v1/filters/:id/distribution/
GET
/api/v1/filters/:id/distribution/
$curl -G https://api.prolific.com/api/v1/filters/mandarin/distribution/ \
> -H "Authorization: Token <token>" \
> -H "Content-Type: application/json" \
> -d workspace_id=workspace_id \
> --data-urlencode distribution_filters=fact-checking,evaluation-accuracy,evaluation-reasoning,structured-writing,fact-checking-hours-of-experience
1{
2 "0": {
3 "name": "Distribution of range filters",
4 "distribution": {
5 "fact-checking": {
6 "0.00-9.99": 2,
7 "10.00-19.99": 5,
8 "20.00-29.99": 12,
9 "30.00-39.99": 18,
10 "40.00-49.99": 25,
11 "50.00-59.99": 10,
12 "60.00-69.99": 24,
13 "70.00-79.99": 57,
14 "80.00-89.99": 31,
15 "90.00-100.00": 3
16 },
17 "fact-checking-hours-of-experience": {
18 "5.00-159.99": 8,
19 "160.00-319.99": 5,
20 "320.00-479.99": 3,
21 "480.00-639.99": 1,
22 "640.00-799.99": 2,
23 "800.00-959.99": 2,
24 "960.00-1119.99": 7,
25 "1120.00-1279.99": 1,
26 "1280.00-1439.99": 0,
27 "1440.00-1600.00": 1
28 }
29 }
30 }
31}
Get the distribution of a filter.
Was this page helpful?
Previous

List all filters

Next

Count participants

Authentication

AuthorizationToken

The Prolific API uses API token to authenticate requests. You can create an API token directly from your settings.

Your API token does not have an expiry date and carries full permission, so be sure to keep them secure.

If your token is leaked, delete it and create a new one directly in the app.

In your requests add Authorization header with the value Token <your token>.

Path parameters

idstringRequired

ID of the filter to get distribution for. Only filters tagged with “custom-group” are supported.

Query parameters

workspace_idstringRequired
ID of your current workspace.
distribution_filtersstringRequired

Filters to get distributions for. This should be a comma-separated list of filter IDs. Only filters tagged with “allow-distribution” are supported.

Response

Filter distribution
distributionmap from strings to maps from strings to integers

Distribution data for the specified distribution_filters

Errors

4XX
Client Request Error